Subject: bug#13930: Emacs doesn't cope well if it can't access/create .emacs.d

From: Robert Prije <[email-masked]>
Date: Tue, 12 Mar 2013 17:01:23 +0800

I built and reproduced the same problem with:

$ ./src/emacs --version
GNU Emacs 24.2.1

On Tue, Mar 12, 2013 at 1:11 PM, Stefan Monnier <[email-masked]>wrote:

> > It does exactly the same thing with --debug-init (says "creating
> directory:
> > permission denied...") and supplies no further information.
> > I think --debug-init is for debugging an init file, right?  It's not
> getting
> > as far as loading the init file so it won't be able to debug it.
>
> Can you try it with a more recent Emacs?  E.g. 24.2 or 24.3?
> I remember we fixed some bugs at some point that caused creation of
> .emacs.d before there's a real need for it.
>
>
>         Stefan
>